Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/1343/?format=api
{ "ob_id": 1343, "uuid": "f16610bffe258458d41dcfe23a39de36", "title": "Polluted Troposphere Fronts: Met Office operational unified model (UM) pollutant transport simulations by the University of Reading", "abstract": "Transport and mixing in fronts was a Natural Environment Research Council (NERC) Polluted Troposphere Research Programme project (Round 1 - NER/T/S/2002/00149 - Duration 2002 - 2005) and was led by DR SL Gray, University of Reading. The data consists of the rate at which frontal regions in weather systems transport polluted air from the boundary layer to the free troposphere using very high-resolution model simulations backed up by observations. These simulations were made using the Met Office operational unified model (UM) run locally at the University of Reading.\r\n\r\nThese contain 3D tracer distributions from 02UTC 09/05/05 - 02UTC \r\n10/05/05 for four separate tracers. \r\n-Field 71 is the tracer transported by advection only, \r\n-field 72 is the tracer transported by advection and mixing, \r\n-field 73 is the tracer transported by advection, mixing and convection and \r\n-field 74 is the tracer transported by advection, mixing and convection. ", "keywords": "Polluted Troposphere, Front, meteorology, model", "publicationState": "published", "dataPublishedTime": "2007-03-14T16:42:28", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/1344/?format=api", "dataPath": "/badc/polluted-tropo/data/fronts", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 429536791, "numberOfFiles": 41, "fileFormat": "Data are PP formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/400/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/894/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/2771/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50672/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50688/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52355/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52356/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52357/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52358/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52359/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52360/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52361/?format=api" ], "dataLineage": "Data files provided as is by campaign participants for storage at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/988/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14391/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1342/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4219/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4222/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4223/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4224/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4226/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4220/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4225/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4221/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/1346/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }